USE [CompraVenta]
GO
/****** Object:  Table [dbo].[TD_COMPRA_DETALLE]    Script Date: 26/01/2023 17:57:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TD_COMPRA_DETALLE](
	[DETC_ID] [int] IDENTITY(1,1) NOT NULL,
	[COMPR_ID] [int] NULL,
	[PROD_ID] [int] NULL,
	[PROD_PCOMPRA] [numeric](18, 2) NULL,
	[DETC_CANT] [int] NULL,
	[DETC_TOTAL] [numeric](18, 2) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TD_COMPRA_DETALLE] PRIMARY KEY CLUSTERED 
(
	[DETC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TD_MENU]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TD_MENU](
	[MEND_ID] [int] IDENTITY(1,1) NOT NULL,
	[MEN_ID] [int] NULL,
	[ROL_ID] [int] NULL,
	[MEND_PERMI] [varchar](2) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TD_MENU] PRIMARY KEY CLUSTERED 
(
	[MEND_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TD_VENTA_DETALLE]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TD_VENTA_DETALLE](
	[DETV_ID] [int] IDENTITY(1,1) NOT NULL,
	[VENT_ID] [int] NULL,
	[PROD_ID] [int] NULL,
	[PROD_PVENTA] [numeric](18, 2) NULL,
	[DETV_CANT] [int] NULL,
	[DETV_TOTAL] [numeric](18, 2) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TD_VENTA_DETALLE] PRIMARY KEY CLUSTERED 
(
	[DETV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_CATEGORIA]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_CATEGORIA](
	[CAT_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[CAT_NOM] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_CATEGORIA] PRIMARY KEY CLUSTERED 
(
	[CAT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_CLIENTE]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_CLIENTE](
	[CLI_ID] [int] IDENTITY(1,1) NOT NULL,
	[EMP_ID] [int] NULL,
	[CLI_NOM] [varchar](150) NULL,
	[CLI_RUC] [varchar](50) NULL,
	[CLI_TELF] [varchar](50) NULL,
	[CLI_DIRECC] [varchar](150) NULL,
	[CLI_CORREO] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_CLIENTE] PRIMARY KEY CLUSTERED 
(
	[CLI_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_COMPANIA]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_COMPANIA](
	[COM_ID] [int] IDENTITY(1,1) NOT NULL,
	[COM_NOM] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_COMPANIA] PRIMARY KEY CLUSTERED 
(
	[COM_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_COMPRA]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_COMPRA](
	[COMPR_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[PAG_ID] [int] NULL,
	[PROV_ID] [int] NULL,
	[PROV_RUC] [varchar](150) NULL,
	[PROV_DIRECC] [varchar](150) NULL,
	[PROV_CORREO] [varchar](150) NULL,
	[COMPR_SUBTOTAL] [numeric](18, 2) NULL,
	[COMPR_IGV] [numeric](18, 2) NULL,
	[COMPR_TOTAL] [numeric](18, 2) NULL,
	[COMPR_COMENT] [varchar](250) NULL,
	[USU_ID] [int] NULL,
	[MON_ID] [int] NULL,
	[DOC_ID] [int] NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_COMPRA] PRIMARY KEY CLUSTERED 
(
	[COMPR_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_DOCUMENTO]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_DOCUMENTO](
	[DOC_ID] [int] IDENTITY(1,1) NOT NULL,
	[DOC_NOM] [varchar](50) NULL,
	[DOC_TIPO] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_DOCUMENTO] PRIMARY KEY CLUSTERED 
(
	[DOC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_EMPRESA]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_EMPRESA](
	[EMP_ID] [int] IDENTITY(1,1) NOT NULL,
	[COM_ID] [int] NULL,
	[EMP_NOM] [varchar](150) NULL,
	[EMP_RUC] [varchar](50) NULL,
	[EMP_CORREO] [varchar](150) NULL,
	[EMP_TELF] [varchar](50) NULL,
	[EMP_DIRECC] [varchar](150) NULL,
	[EMP_PAG] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_EMPRESA] PRIMARY KEY CLUSTERED 
(
	[EMP_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_MENU]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_MENU](
	[MEN_ID] [int] IDENTITY(1,1) NOT NULL,
	[MEN_NOM] [varchar](150) NULL,
	[MEN_RUTA] [varchar](250) NULL,
	[MEN_IDENTI] [varchar](150) NULL,
	[MEN_GRUPO] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_MENU] PRIMARY KEY CLUSTERED 
(
	[MEN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_MONEDA]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_MONEDA](
	[MON_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[MON_NOM] [varchar](50) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_MONEDA] PRIMARY KEY CLUSTERED 
(
	[MON_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_PAGO]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_PAGO](
	[PAG_ID] [int] IDENTITY(1,1) NOT NULL,
	[PAG_NOM] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_PAGO] PRIMARY KEY CLUSTERED 
(
	[PAG_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_PRODUCTO]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_PRODUCTO](
	[PROD_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[CAT_ID] [int] NULL,
	[PROD_NOM] [varchar](150) NULL,
	[PROD_DESCRIP] [varchar](max) NULL,
	[UND_ID] [int] NULL,
	[MON_ID] [int] NULL,
	[PROD_PCOMPRA] [numeric](18, 2) NULL,
	[PROD_PVENTA] [numeric](18, 2) NULL,
	[PROD_STOCK] [int] NULL,
	[PROD_FECHAVEN] [date] NULL,
	[PROD_IMG] [varchar](max) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_PRODUCTO] PRIMARY KEY CLUSTERED 
(
	[PROD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_PROVEEDOR]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_PROVEEDOR](
	[PROV_ID] [int] IDENTITY(1,1) NOT NULL,
	[EMP_ID] [int] NULL,
	[PROV_NOM] [varchar](150) NULL,
	[PROV_RUC] [varchar](15) NULL,
	[PROV_TELF] [varchar](50) NULL,
	[PROV_DIRECC] [varchar](150) NULL,
	[PROV_CORREO] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_PROVEEDOR] PRIMARY KEY CLUSTERED 
(
	[PROV_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_ROL]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_ROL](
	[ROL_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[ROL_NOM] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_ROL] PRIMARY KEY CLUSTERED 
(
	[ROL_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_SUCURSAL]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_SUCURSAL](
	[SUC_ID] [int] IDENTITY(1,1) NOT NULL,
	[EMP_ID] [int] NULL,
	[SUC_NOM] [varchar](50) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_SUCURSAL] PRIMARY KEY CLUSTERED 
(
	[SUC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_UNIDAD]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_UNIDAD](
	[UND_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[UND_NOM] [varchar](150) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_UNIDAD] PRIMARY KEY CLUSTERED 
(
	[UND_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_USUARIO]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_USUARIO](
	[USU_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[USU_CORREO] [varchar](150) NULL,
	[USU_NOM] [varchar](150) NULL,
	[USU_APE] [varchar](150) NOT NULL,
	[USU_DNI] [varchar](50) NULL,
	[USU_TELF] [varchar](50) NULL,
	[USU_PASS] [varchar](50) NULL,
	[ROL_ID] [int] NULL,
	[USU_IMG] [varchar](max) NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_USUARIO] PRIMARY KEY CLUSTERED 
(
	[USU_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TM_VENTA]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TM_VENTA](
	[VENT_ID] [int] IDENTITY(1,1) NOT NULL,
	[SUC_ID] [int] NULL,
	[PAG_ID] [int] NULL,
	[CLI_ID] [int] NULL,
	[CLI_RUC] [varchar](20) NULL,
	[CLI_DIRECC] [varchar](250) NULL,
	[CLI_CORREO] [varchar](150) NULL,
	[VENT_SUBTOTAL] [numeric](18, 2) NULL,
	[VENT_IGV] [numeric](18, 2) NULL,
	[VENT_TOTAL] [numeric](18, 2) NULL,
	[VENT_COMENT] [varchar](250) NULL,
	[USU_ID] [int] NULL,
	[MON_ID] [int] NULL,
	[DOC_ID] [int] NULL,
	[FECH_CREA] [datetime] NULL,
	[EST] [int] NULL,
 CONSTRAINT [PK_TM_VENTA] PRIMARY KEY CLUSTERED 
(
	[VENT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[TM_COMPRA] ADD  CONSTRAINT [DF_TM_COMPRA_COMPR_SUBTOTAL]  DEFAULT ((0)) FOR [COMPR_SUBTOTAL]
GO
ALTER TABLE [dbo].[TM_COMPRA] ADD  CONSTRAINT [DF_TM_COMPRA_COMPR_IGV]  DEFAULT ((0)) FOR [COMPR_IGV]
GO
ALTER TABLE [dbo].[TM_COMPRA] ADD  CONSTRAINT [DF_TM_COMPRA_COMPR_TOTAL]  DEFAULT ((0)) FOR [COMPR_TOTAL]
GO
ALTER TABLE [dbo].[TM_EMPRESA]  WITH CHECK ADD  CONSTRAINT [FK_TM_EMPRESA_TM_COMPANIA] FOREIGN KEY([COM_ID])
REFERENCES [dbo].[TM_COMPANIA] ([COM_ID])
GO
ALTER TABLE [dbo].[TM_EMPRESA] CHECK CONSTRAINT [FK_TM_EMPRESA_TM_COMPANIA]
GO
ALTER TABLE [dbo].[TM_SUCURSAL]  WITH CHECK ADD  CONSTRAINT [FK_TM_SUCURSAL_TM_EMPRESA] FOREIGN KEY([EMP_ID])
REFERENCES [dbo].[TM_EMPRESA] ([EMP_ID])
GO
ALTER TABLE [dbo].[TM_SUCURSAL] CHECK CONSTRAINT [FK_TM_SUCURSAL_TM_EMPRESA]
GO
/****** Object:  StoredProcedure [dbo].[SP_D_CATEGORIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_CATEGORIA_01]
@CAT_ID INT
AS
BEGIN
	UPDATE TM_CATEGORIA
	SET
		EST= 0
	WHERE
		CAT_ID = @CAT_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_CLIENTE_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_CLIENTE_01]
@CLI_ID INT
AS
BEGIN
	UPDATE TM_CLIENTE
	SET
		EST= 0
	WHERE
		CLI_ID = @CLI_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_COMPANIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_COMPANIA_01]
@COM_ID INT
AS
BEGIN
	UPDATE TM_COMPANIA
	SET
		EST= 0
	WHERE
		COM_ID = @COM_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_COMPRA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_D_COMPRA_01]
@DETC_ID INT
AS
BEGIN
	UPDATE TD_COMPRA_DETALLE
	SET
		EST=0
	WHERE
		DETC_ID = @DETC_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_EMPRESA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_EMPRESA_01]
@EMP_ID INT
AS
BEGIN
	UPDATE TM_EMPRESA
	SET
		EST= 0
	WHERE
		EMP_ID = @EMP_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_MONEDA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_MONEDA_01]
@MON_ID INT
AS
BEGIN
	UPDATE TM_MONEDA
	SET
		EST= 0
	WHERE
		MON_ID = @MON_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_PRODUCTO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_PRODUCTO_01]
@PROD_ID INT
AS
BEGIN
	UPDATE TM_PRODUCTO
	SET
		EST= 0
	WHERE
		PROD_ID = @PROD_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_PROVEEDOR_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_PROVEEDOR_01]
@PROV_ID INT
AS
BEGIN
	UPDATE TM_PROVEEDOR
	SET
		EST= 0
	WHERE
		PROV_ID = @PROV_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_ROL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_ROL_01]
@ROL_ID INT
AS
BEGIN
	UPDATE TM_ROL
	SET
		EST= 0
	WHERE
		ROL_ID = @ROL_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_SUCURSAL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_SUCURSAL_01]
@SUC_ID INT
AS
BEGIN
	UPDATE TM_SUCURSAL
	SET
		EST= 0
	WHERE
		SUC_ID = @SUC_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_UNIDAD_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_UNIDAD_01]
@UND_ID INT
AS
BEGIN
	UPDATE TM_UNIDAD
	SET
		EST= 0
	WHERE
		UND_ID = @UND_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_USUARIO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Eliminar Registro
CREATE PROCEDURE [dbo].[SP_D_USUARIO_01]
@USU_ID INT
AS
BEGIN
	UPDATE TM_USUARIO
	SET
		EST= 0
	WHERE
		USU_ID = @USU_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_D_VENTA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_D_VENTA_01]
@DETV_ID INT
AS
BEGIN
	UPDATE TD_VENTA_DETALLE
	SET
		EST=0
	WHERE
		DETV_ID = @DETV_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_CATEGORIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--REGISTRAR NUEVO REGISTRO
CREATE PROCEDURE [dbo].[SP_I_CATEGORIA_01]
@SUC_ID INT,
@CAT_NOM VARCHAR(150)
AS
BEGIN
	INSERT INTO TM_CATEGORIA
	(SUC_ID,CAT_NOM,FECH_CREA,EST)
	VALUES
	(@SUC_ID,@CAT_NOM,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_CLIENTE_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_I_CLIENTE_01]  
@EMP_ID INT,  
@CLI_NOM VARCHAR(150),  
@CLI_RUC VARCHAR(15),  
@CLI_TELF VARCHAR(150),  
@CLI_DIRECC VARCHAR(150),  
@CLI_CORREO VARCHAR(100)  
AS  
BEGIN  
 INSERT INTO TM_CLIENTE  
 (CLI_NOM,EMP_ID,CLI_RUC,CLI_TELF,CLI_DIRECC,CLI_CORREO,FECH_CREA,EST)  
 VALUES  
 (@CLI_NOM,@EMP_ID,@CLI_RUC,@CLI_TELF,@CLI_DIRECC,@CLI_CORREO,GETDATE(),1)  
END  
GO
/****** Object:  StoredProcedure [dbo].[SP_I_COMPANIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--REGISTRAR NUEVO REGISTRO
CREATE PROCEDURE [dbo].[SP_I_COMPANIA_01]
@COM_NOM VARCHAR(150)
AS
BEGIN
	INSERT INTO TM_COMPANIA
	(COM_NOM,FECH_CREA,EST)
	VALUES
	(@COM_NOM,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_COMPRA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_I_COMPRA_01]
@SUC_ID INT,
@USU_ID INT
AS
BEGIN
SET NOCOUNT ON
	INSERT INTO TM_COMPRA 
	(SUC_ID,USU_ID,EST)
	VALUES
	(@SUC_ID,@USU_ID,2)

	SELECT COMPR_ID FROM TM_COMPRA WHERE COMPR_ID=@@IDENTITY
SET NOCOUNT OFF
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_COMPRA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_I_COMPRA_02]
@COMPR_ID INT,
@PROD_ID INT,
@PROD_PCOMPRA NUMERIC(18,2),
@DETC_CANT INT
AS
BEGIN
	INSERT TD_COMPRA_DETALLE
	(COMPR_ID,PROD_ID,PROD_PCOMPRA,DETC_CANT,DETC_TOTAL,FECH_CREA,EST)
	VALUES
	(@COMPR_ID,@PROD_ID,@PROD_PCOMPRA,@DETC_CANT,@PROD_PCOMPRA * @DETC_CANT,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_EMPRESA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_I_EMPRESA_01]
@COM_ID INT,
@EMP_NOM VARCHAR(150),
@EMP_RUC VARCHAR(150)
AS
BEGIN
	INSERT INTO TM_EMPRESA
	(COM_ID,EMP_NOM,EMP_RUC,FECH_CREA,EST)
	VALUES
	(@COM_ID,@EMP_NOM,@EMP_RUC,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_MENU_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_I_MENU_02]
@ROL_ID INT
AS
BEGIN
	IF (SELECT COUNT(*) FROM TD_MENU WHERE ROL_ID=@ROL_ID)=0
	BEGIN
		INSERT INTO TD_MENU
		(MEN_ID,ROL_ID,MEND_PERMI,FECH_CREA,EST)
		(SELECT MEN_ID,@ROL_ID,'No',GETDATE(),1 FROM TM_MENU WHERE EST=1)
	END
	ELSE
	BEGIN
		INSERT INTO TD_MENU
		(MEN_ID,ROL_ID,MEND_PERMI,FECH_CREA,EST)
		(SELECT MEN_ID,@ROL_ID,'No',GETDATE(),1 FROM TM_MENU WHERE EST=1 AND MEN_ID NOT IN (SELECT MEN_ID FROM TD_MENU WHERE ROL_ID=@ROL_ID))
	END
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_MONEDA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--REGISTRAR NUEVO REGISTRO
CREATE PROCEDURE [dbo].[SP_I_MONEDA_01]
@SUC_ID INT,
@MON_NOM VARCHAR(150)
AS
BEGIN
	INSERT INTO TM_MONEDA
	(SUC_ID,MON_NOM,FECH_CREA,EST)
	VALUES
	(@SUC_ID,@MON_NOM,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_PRODUCTO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--REGISTRAR NUEVO REGISTRO
CREATE PROCEDURE [dbo].[SP_I_PRODUCTO_01]
@SUC_ID INT,
@CAT_ID INT,
@PROD_NOM VARCHAR(150),
@PROD_DESCRIP VARCHAR(150),
@UND_ID INT,
@MON_ID INT,
@PROD_PCOMPRA NUMERIC(18,2),
@PROD_PVENTA NUMERIC(18,2),
@PROD_STOCK INT,
@PROD_FECHAVEN DATE,
@PROD_IMG VARCHAR(MAX)
AS
BEGIN
	INSERT INTO TM_PRODUCTO
	(SUC_ID,CAT_ID,PROD_NOM,PROD_DESCRIP,UND_ID,MON_ID,PROD_PCOMPRA,PROD_PVENTA,PROD_STOCK,PROD_FECHAVEN,PROD_IMG,FECH_CREA,EST)
	VALUES
	(@SUC_ID,@CAT_ID,@PROD_NOM,@PROD_DESCRIP,@UND_ID,@MON_ID,@PROD_PCOMPRA,@PROD_PVENTA,@PROD_STOCK,@PROD_FECHAVEN,@PROD_IMG,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_PROVEEDOR_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_I_PROVEEDOR_01]    
@EMP_ID INT,    
@PROV_NOM VARCHAR(150),    
@PROV_RUC VARCHAR(15),    
@PROV_TELF VARCHAR(150),    
@PROV_DIRECC VARCHAR(150),    
@PROV_CORREO VARCHAR(150)   
AS    
BEGIN    
 INSERT INTO TM_PROVEEDOR    
 (EMP_ID,PROV_NOM,PROV_RUC,PROV_TELF,PROV_DIRECC,PROV_CORREO,FECH_CREA,EST)    
 VALUES    
 (@EMP_ID,@PROV_NOM,@PROV_RUC,@PROV_TELF,@PROV_DIRECC,@PROV_CORREO,GETDATE(),1)    
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_ROL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--REGISTRAR NUEVO REGISTRO
CREATE PROCEDURE [dbo].[SP_I_ROL_01]
@SUC_ID INT,
@ROL_NOM VARCHAR(150)
AS
BEGIN
	INSERT INTO TM_ROL
	(SUC_ID,ROL_NOM,FECH_CREA,EST)
	VALUES
	(@SUC_ID,@ROL_NOM,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_SUCURSAL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--REGISTRAR NUEVO REGISTRO
CREATE PROCEDURE [dbo].[SP_I_SUCURSAL_01]
@EMP_ID INT,
@SUC_NOM VARCHAR(150)
AS
BEGIN
	INSERT INTO TM_SUCURSAL
	(EMP_ID,SUC_NOM,FECH_CREA,EST)
	VALUES
	(@EMP_ID,@SUC_NOM,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_UNIDAD_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--REGISTRAR NUEVO REGISTRO
CREATE PROCEDURE [dbo].[SP_I_UNIDAD_01]
@SUC_ID INT,
@UND_NOM VARCHAR(150)
AS
BEGIN
	INSERT INTO TM_UNIDAD
	(SUC_ID,UND_NOM,FECH_CREA,EST)
	VALUES
	(@SUC_ID,@UND_NOM,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_USUARIO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_I_USUARIO_01]  
@SUC_ID INT,  
@USU_CORREO VARCHAR(150),  
@USU_NOM VARCHAR(150),  
@USU_APE VARCHAR(150),  
@USU_DNI VARCHAR(150),  
@USU_TELF VARCHAR(150),  
@USU_PASS VARCHAR(150),  
@ROL_ID INT,
@USU_IMG VARCHAR(MAX)
AS  
BEGIN  
 INSERT INTO TM_USUARIO  
 (SUC_ID,USU_CORREO,USU_NOM,USU_APE,USU_DNI,USU_TELF,USU_PASS,ROL_ID,USU_IMG,FECH_CREA,EST)  
 VALUES  
 (@SUC_ID,@USU_CORREO,@USU_NOM,@USU_APE,@USU_DNI,@USU_TELF,@USU_PASS,@ROL_ID,@USU_IMG,GETDATE(),1)  
END  
GO
/****** Object:  StoredProcedure [dbo].[SP_I_VENTA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_I_VENTA_01]
@SUC_ID INT,
@USU_ID INT
AS
BEGIN
SET NOCOUNT ON
	INSERT INTO TM_VENTA 
	(SUC_ID,USU_ID,EST)
	VALUES
	(@SUC_ID,@USU_ID,2)

	SELECT VENT_ID FROM TM_VENTA WHERE VENT_ID=@@IDENTITY
SET NOCOUNT OFF
END
GO
/****** Object:  StoredProcedure [dbo].[SP_I_VENTA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_I_VENTA_02]
@VENT_ID INT,
@PROD_ID INT,
@PROD_PVENTA NUMERIC(18,2),
@DETV_CANT INT
AS
BEGIN
	INSERT TD_VENTA_DETALLE
	(VENT_ID,PROD_ID,PROD_PVENTA,DETV_CANT,DETV_TOTAL,FECH_CREA,EST)
	VALUES
	(@VENT_ID,@PROD_ID,@PROD_PVENTA,@DETV_CANT,@PROD_PVENTA * @DETV_CANT,GETDATE(),1)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_CATEGORIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_CATEGORIA_01]  
@SUC_ID INT  
AS  
BEGIN  
 SELECT 
	 CAT_ID,
	 SUC_ID,
	 CAT_NOM,
	 CONVERT(VARCHAR,FECH_CREA,103) AS FECH_CREA,
	 EST 
 FROM 
	TM_CATEGORIA  
 WHERE  
	 SUC_ID = @SUC_ID  
	 AND EST=1  
END  
GO
/****** Object:  StoredProcedure [dbo].[SP_L_CATEGORIA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_CATEGORIA_02]
@CAT_ID INT
AS
BEGIN
	SELECT * FROM TM_CATEGORIA
	WHERE
	CAT_ID = @CAT_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_CATEGORIA_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_CATEGORIA_03]
@SUC_ID INT
AS
BEGIN

	SELECT        
		TM_CATEGORIA.CAT_ID, 
		TM_CATEGORIA.CAT_NOM, 
		SUM(TM_PRODUCTO.PROD_STOCK) AS STOCK
	FROM            
		TM_CATEGORIA INNER JOIN
		TM_PRODUCTO ON TM_CATEGORIA.CAT_ID = TM_PRODUCTO.CAT_ID
	WHERE        
		TM_CATEGORIA.SUC_ID = 1
		AND TM_PRODUCTO.EST=1
		AND TM_CATEGORIA.EST=1
	GROUP BY
		TM_CATEGORIA.CAT_ID, 
		TM_CATEGORIA.CAT_NOM
	ORDER BY
		STOCK DESC
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_CLIENTE_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Listar todos los registros por Sucursal
CREATE PROCEDURE [dbo].[SP_L_CLIENTE_01]
@EMP_ID INT
AS
BEGIN
	SELECT * FROM TM_CLIENTE
	WHERE
	EMP_ID = @EMP_ID
	AND EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_CLIENTE_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_CLIENTE_02]
@CLI_ID INT
AS
BEGIN
	SELECT * FROM TM_CLIENTE
	WHERE
	CLI_ID = @CLI_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPANIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Listar todos los registros por Sucursal
CREATE PROCEDURE [dbo].[SP_L_COMPANIA_01]
AS
BEGIN
	SELECT * FROM TM_COMPANIA
	WHERE
	EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPANIA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_COMPANIA_02]
@COM_ID INT
AS
BEGIN
	SELECT * FROM TM_COMPANIA
	WHERE
	COM_ID = @COM_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_COMPRA_01]  
@COMPR_ID INT  
AS  
BEGIN  
 SELECT          
 TD_COMPRA_DETALLE.DETC_ID,   
 TM_CATEGORIA.CAT_NOM,   
 TM_PRODUCTO.PROD_NOM,
 TM_PRODUCTO.PROD_IMG,
 TM_UNIDAD.UND_NOM,   
 TD_COMPRA_DETALLE.PROD_PCOMPRA,  
 TD_COMPRA_DETALLE.DETC_CANT,   
 TD_COMPRA_DETALLE.DETC_TOTAL,   
 TD_COMPRA_DETALLE.COMPR_ID,   
 TD_COMPRA_DETALLE.PROD_ID  
 FROM              
 TD_COMPRA_DETALLE INNER JOIN  
 TM_PRODUCTO ON TD_COMPRA_DETALLE.PROD_ID = TM_PRODUCTO.PROD_ID INNER JOIN  
 TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID INNER JOIN  
 TM_UNIDAD ON TM_PRODUCTO.UND_ID = TM_UNIDAD.UND_ID  
 WHERE  
 TD_COMPRA_DETALLE.COMPR_ID = @COMPR_ID  
 AND TD_COMPRA_DETALLE.EST=1  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_COMPRA_02]
@COMPR_ID INT
AS
BEGIN
SELECT        
TM_COMPRA.COMPR_ID, 
TM_COMPRA.SUC_ID, 
TM_COMPRA.PAG_ID, 
TM_COMPRA.PROV_ID, 
TM_COMPRA.PROV_RUC, 
TM_COMPRA.PROV_DIRECC, 
TM_COMPRA.PROV_CORREO, 
TM_COMPRA.COMPR_SUBTOTAL, 
TM_COMPRA.COMPR_IGV, 
TM_COMPRA.COMPR_TOTAL, 
TM_COMPRA.COMPR_COMENT, 
TM_COMPRA.USU_ID, 
TM_COMPRA.MON_ID, 
TM_COMPRA.FECH_CREA, 
TM_COMPRA.EST, 
TM_SUCURSAL.SUC_NOM, 
TM_EMPRESA.EMP_NOM, 
TM_EMPRESA.EMP_RUC, 
TM_EMPRESA.EMP_CORREO, 
TM_EMPRESA.EMP_TELF, 
TM_EMPRESA.EMP_DIRECC, 
TM_EMPRESA.EMP_PAG, 
TM_COMPANIA.COM_NOM, 
TM_USUARIO.USU_CORREO, 
TM_USUARIO.USU_NOM, 
TM_USUARIO.USU_APE, 
TM_USUARIO.USU_DNI, 
TM_USUARIO.USU_TELF, 
TM_ROL.ROL_NOM, 
TM_PAGO.PAG_NOM, 
TM_MONEDA.MON_NOM,
TM_PROVEEDOR.PROV_NOM
FROM            
TM_COMPRA INNER JOIN
TM_SUCURSAL ON TM_COMPRA.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN
TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN
TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID INNER JOIN
TM_USUARIO ON TM_COMPRA.USU_ID = TM_USUARIO.USU_ID INNER JOIN
TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID INNER JOIN
TM_PAGO ON TM_COMPRA.PAG_ID = TM_PAGO.PAG_ID INNER JOIN
TM_MONEDA ON TM_COMPRA.MON_ID = TM_MONEDA.MON_ID INNER JOIN
TM_PROVEEDOR ON TM_COMPRA.PROV_ID = TM_PROVEEDOR.PROV_ID
WHERE  
TM_COMPRA.COMPR_ID = @COMPR_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRA_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
  
CREATE PROCEDURE [dbo].[SP_L_COMPRA_03]    
@SUC_ID INT    
AS    
BEGIN    
 SELECT            
 TM_COMPRA.COMPR_ID,     
 TM_COMPRA.SUC_ID,     
 TM_COMPRA.PAG_ID,     
 TM_COMPRA.PROV_ID,     
 TM_COMPRA.PROV_RUC,     
 TM_COMPRA.PROV_DIRECC,     
 TM_COMPRA.PROV_CORREO,     
 TM_COMPRA.COMPR_SUBTOTAL,     
 TM_COMPRA.COMPR_IGV,     
 TM_COMPRA.COMPR_TOTAL,     
 TM_COMPRA.COMPR_COMENT,     
 TM_COMPRA.USU_ID,     
 TM_COMPRA.MON_ID,     
 TM_COMPRA.FECH_CREA,     
 TM_COMPRA.EST,     
 TM_SUCURSAL.SUC_NOM,     
 TM_EMPRESA.EMP_NOM,     
 TM_EMPRESA.EMP_RUC,     
 TM_EMPRESA.EMP_CORREO,     
 TM_EMPRESA.EMP_TELF,     
 TM_EMPRESA.EMP_DIRECC,     
 TM_EMPRESA.EMP_PAG,     
 TM_COMPANIA.COM_NOM,     
 TM_USUARIO.USU_CORREO,     
 TM_USUARIO.USU_NOM,     
 TM_USUARIO.USU_APE,     
 TM_USUARIO.USU_DNI,     
 TM_USUARIO.USU_TELF,   
 TM_USUARIO.USU_IMG,  
 TM_ROL.ROL_NOM,     
 TM_PAGO.PAG_NOM,     
 TM_MONEDA.MON_NOM,    
 TM_PROVEEDOR.PROV_NOM,
 TM_DOCUMENTO.DOC_NOM
 FROM                
 TM_COMPRA INNER JOIN    
 TM_SUCURSAL ON TM_COMPRA.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN    
 TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN    
 TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID INNER JOIN    
 TM_USUARIO ON TM_COMPRA.USU_ID = TM_USUARIO.USU_ID INNER JOIN    
 TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID INNER JOIN    
 TM_PAGO ON TM_COMPRA.PAG_ID = TM_PAGO.PAG_ID INNER JOIN    
 TM_MONEDA ON TM_COMPRA.MON_ID = TM_MONEDA.MON_ID INNER JOIN    
 TM_PROVEEDOR ON TM_COMPRA.PROV_ID = TM_PROVEEDOR.PROV_ID INNER JOIN
 TM_DOCUMENTO ON TM_COMPRA.DOC_ID = TM_DOCUMENTO.DOC_ID
 WHERE    
 TM_COMPRA.EST=1    
 AND TM_COMPRA.SUC_ID = @SUC_ID    
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRA_04]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_COMPRA_04]
@SUC_ID INT
AS
BEGIN
	SELECT        
	TM_CATEGORIA.CAT_NOM, 
	SUM(TD_COMPRA_DETALLE.DETC_CANT) AS CANT
	FROM            
	TM_COMPRA INNER JOIN
	TD_COMPRA_DETALLE ON TM_COMPRA.COMPR_ID = TD_COMPRA_DETALLE.COMPR_ID INNER JOIN
	TM_PRODUCTO ON TD_COMPRA_DETALLE.PROD_ID = TM_PRODUCTO.PROD_ID INNER JOIN
	TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID
	WHERE        
	TM_COMPRA.EST = 1
	AND TM_COMPRA.SUC_ID = @SUC_ID
	GROUP BY CAT_NOM
	ORDER BY CANT DESC
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRA_05]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_COMPRA_05]        
@SUC_ID INT        
AS        
BEGIN        
 SELECT TOP 6              
 TM_COMPRA.COMPR_ID,         
 TM_COMPRA.SUC_ID,         
 TM_COMPRA.PAG_ID,         
 TM_COMPRA.PROV_ID,         
 TM_COMPRA.PROV_RUC,         
 TM_COMPRA.PROV_DIRECC,         
 TM_COMPRA.PROV_CORREO,         
 TM_COMPRA.COMPR_SUBTOTAL,         
 TM_COMPRA.COMPR_IGV,         
 TM_COMPRA.COMPR_TOTAL,         
 TM_COMPRA.COMPR_COMENT,         
 TM_COMPRA.USU_ID,         
 TM_COMPRA.MON_ID,         
 TM_COMPRA.FECH_CREA,         
 TM_COMPRA.EST,         
 TM_SUCURSAL.SUC_NOM,         
 TM_EMPRESA.EMP_NOM,         
 TM_EMPRESA.EMP_RUC,         
 TM_EMPRESA.EMP_CORREO,         
 TM_EMPRESA.EMP_TELF,         
 TM_EMPRESA.EMP_DIRECC,         
 TM_EMPRESA.EMP_PAG,         
 TM_COMPANIA.COM_NOM,         
 TM_USUARIO.USU_CORREO,         
 TM_USUARIO.USU_NOM,         
 TM_USUARIO.USU_APE,         
 TM_USUARIO.USU_DNI,         
 TM_USUARIO.USU_TELF,       
 TM_USUARIO.USU_IMG,      
 TM_ROL.ROL_NOM,         
 TM_PAGO.PAG_NOM,         
 TM_MONEDA.MON_NOM,        
 TM_PROVEEDOR.PROV_NOM,    
 TM_DOCUMENTO.DOC_NOM    
 FROM                    
 TM_COMPRA INNER JOIN        
 TM_SUCURSAL ON TM_COMPRA.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN        
 TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN        
 TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID INNER JOIN        
 TM_USUARIO ON TM_COMPRA.USU_ID = TM_USUARIO.USU_ID INNER JOIN        
 TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID INNER JOIN        
 TM_PAGO ON TM_COMPRA.PAG_ID = TM_PAGO.PAG_ID INNER JOIN        
 TM_MONEDA ON TM_COMPRA.MON_ID = TM_MONEDA.MON_ID INNER JOIN        
 TM_PROVEEDOR ON TM_COMPRA.PROV_ID = TM_PROVEEDOR.PROV_ID INNER JOIN    
 TM_DOCUMENTO ON TM_COMPRA.DOC_ID = TM_DOCUMENTO.DOC_ID    
 WHERE        
 TM_COMPRA.EST=1        
 AND TM_COMPRA.SUC_ID = @SUC_ID      
 ORDER BY COMPR_ID DESC  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRA_06]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_COMPRA_06]
@SUC_ID INT
AS
BEGIN
	SELECT 
	CONVERT(VARCHAR,FECH_CREA,103) AS FECH_CREA,
	SUM(COMPR_TOTAL) AS COMPR_TOTAL
	FROM TM_COMPRA 
	WHERE 
	EST=1
	AND SUC_ID = @SUC_ID
	GROUP BY 
	CONVERT(VARCHAR,FECH_CREA,103)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRAS_04]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--AnderCode
--16/12/22 22:22
--Comentario: Listar el Top 5 de compras
CREATE PROCEDURE [dbo].[SP_L_COMPRAS_04]  
@SUC_ID INT  
AS  
BEGIN  
 SELECT          
 TOP (5) TD_COMPRA_DETALLE.PROD_ID,   
 SUM(TD_COMPRA_DETALLE.DETC_CANT) AS CANT,   
 TM_PRODUCTO.PROD_NOM,   
 TM_PRODUCTO.PROD_PCOMPRA,   
 TM_CATEGORIA.CAT_NOM,   
 TM_UNIDAD.UND_NOM,   
 TM_PRODUCTO.PROD_STOCK,   
 TM_PRODUCTO.PROD_IMG,  
 TM_MONEDA.MON_NOM,  
 SUM(TM_COMPRA.COMPR_TOTAL) AS TOTAL  
 FROM              
 TD_COMPRA_DETALLE INNER JOIN  
 TM_PRODUCTO ON TD_COMPRA_DETALLE.PROD_ID = TM_PRODUCTO.PROD_ID INNER JOIN  
 TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID INNER JOIN  
 TM_UNIDAD ON TM_PRODUCTO.UND_ID = TM_UNIDAD.UND_ID INNER JOIN  
 TM_COMPRA ON TD_COMPRA_DETALLE.COMPR_ID = TM_COMPRA.COMPR_ID INNER JOIN  
 TM_MONEDA ON TM_COMPRA.MON_ID = TM_MONEDA.MON_ID  
 WHERE  
 TM_COMPRA.EST = 1  
 AND TM_PRODUCTO.EST=1  
 AND TM_COMPRA.SUC_ID = @SUC_ID  
 GROUP BY   
 TD_COMPRA_DETALLE.PROD_ID,   
 TM_PRODUCTO.PROD_NOM,   
 TM_PRODUCTO.PROD_PCOMPRA,   
 TM_CATEGORIA.CAT_NOM,   
 TM_UNIDAD.UND_NOM,   
 TM_PRODUCTO.PROD_STOCK,   
 TM_PRODUCTO.PROD_IMG,  
 TM_MONEDA.MON_NOM  
 ORDER BY CANT DESC  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_COMPRAVENTA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_COMPRAVENTA_01]
@SUC_ID INT
AS
BEGIN
SELECT TOP 20 * FROM 
	(
		SELECT              
		TM_COMPRA.COMPR_ID,       
		TM_COMPRA.SUC_ID,       
		TM_COMPRA.PAG_ID,       
		TM_COMPRA.PROV_ID,       
		TM_COMPRA.PROV_RUC,       
		TM_COMPRA.PROV_DIRECC,       
		TM_COMPRA.PROV_CORREO,       
		TM_COMPRA.COMPR_SUBTOTAL,       
		TM_COMPRA.COMPR_IGV,       
		TM_COMPRA.COMPR_TOTAL,       
		TM_COMPRA.COMPR_COMENT,       
		TM_COMPRA.USU_ID,       
		TM_COMPRA.MON_ID,       
		CONVERT(VARCHAR, TM_COMPRA.FECH_CREA,103) AS FECH_CREA,       
		TM_COMPRA.EST,       
		TM_SUCURSAL.SUC_NOM,       
		TM_EMPRESA.EMP_NOM,       
		TM_EMPRESA.EMP_RUC,       
		TM_EMPRESA.EMP_CORREO,       
		TM_EMPRESA.EMP_TELF,       
		TM_EMPRESA.EMP_DIRECC,       
		TM_EMPRESA.EMP_PAG,       
		TM_COMPANIA.COM_NOM,       
		TM_USUARIO.USU_CORREO,       
		TM_USUARIO.USU_NOM,       
		TM_USUARIO.USU_APE,       
		TM_USUARIO.USU_DNI,       
		TM_USUARIO.USU_TELF,     
		TM_USUARIO.USU_IMG,    
		TM_ROL.ROL_NOM,       
		TM_PAGO.PAG_NOM,       
		TM_MONEDA.MON_NOM,      
		TM_PROVEEDOR.PROV_NOM,  
		TM_DOCUMENTO.DOC_NOM,
		'Compra' as REGISTRO
		FROM                  
		TM_COMPRA INNER JOIN      
		TM_SUCURSAL ON TM_COMPRA.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN      
		TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN      
		TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID INNER JOIN      
		TM_USUARIO ON TM_COMPRA.USU_ID = TM_USUARIO.USU_ID INNER JOIN      
		TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID INNER JOIN      
		TM_PAGO ON TM_COMPRA.PAG_ID = TM_PAGO.PAG_ID INNER JOIN      
		TM_MONEDA ON TM_COMPRA.MON_ID = TM_MONEDA.MON_ID INNER JOIN      
		TM_PROVEEDOR ON TM_COMPRA.PROV_ID = TM_PROVEEDOR.PROV_ID INNER JOIN  
		TM_DOCUMENTO ON TM_COMPRA.DOC_ID = TM_DOCUMENTO.DOC_ID  
		WHERE      
		TM_COMPRA.EST=1      
		AND TM_COMPRA.SUC_ID = @SUC_ID

		UNION ALL
      
		SELECT                
		TM_VENTA.VENT_ID,         
		TM_VENTA.SUC_ID,         
		TM_VENTA.PAG_ID,         
		TM_VENTA.CLI_ID,         
		TM_VENTA.CLI_RUC,         
		TM_VENTA.CLI_DIRECC,         
		TM_VENTA.CLI_CORREO,         
		TM_VENTA.VENT_SUBTOTAL,         
		TM_VENTA.VENT_IGV,         
		TM_VENTA.VENT_TOTAL,         
		TM_VENTA.VENT_COMENT,         
		TM_VENTA.USU_ID,         
		TM_VENTA.MON_ID,         
		CONVERT(VARCHAR,TM_VENTA.FECH_CREA,103) AS FECH_CREA,        
		TM_VENTA.EST,         
		TM_SUCURSAL.SUC_NOM,         
		TM_EMPRESA.EMP_NOM,         
		TM_EMPRESA.EMP_RUC,         
		TM_EMPRESA.EMP_CORREO,         
		TM_EMPRESA.EMP_TELF,         
		TM_EMPRESA.EMP_DIRECC,         
		TM_EMPRESA.EMP_PAG,         
		TM_COMPANIA.COM_NOM,         
		TM_USUARIO.USU_CORREO,         
		TM_USUARIO.USU_NOM,         
		TM_USUARIO.USU_APE,         
		TM_USUARIO.USU_DNI,         
		TM_USUARIO.USU_TELF,         
		TM_USUARIO.USU_IMG,     
		TM_ROL.ROL_NOM,         
		TM_PAGO.PAG_NOM,         
		TM_MONEDA.MON_NOM,        
		TM_CLIENTE.CLI_NOM,  
		TM_DOCUMENTO.DOC_NOM,
		'Venta' AS REGISTRO
		FROM                    
		TM_VENTA INNER JOIN        
		TM_SUCURSAL ON TM_VENTA.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN        
		TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN        
		TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID INNER JOIN        
		TM_USUARIO ON TM_VENTA.USU_ID = TM_USUARIO.USU_ID INNER JOIN        
		TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID INNER JOIN        
		TM_PAGO ON TM_VENTA.PAG_ID = TM_PAGO.PAG_ID INNER JOIN        
		TM_MONEDA ON TM_VENTA.MON_ID = TM_MONEDA.MON_ID INNER JOIN        
		TM_CLIENTE ON TM_VENTA.CLI_ID = TM_CLIENTE.CLI_ID INNER JOIN  
		TM_DOCUMENTO ON TM_VENTA.DOC_ID = TM_DOCUMENTO.DOC_ID  
		WHERE        
		TM_VENTA.EST=1        
		AND TM_VENTA.SUC_ID = @SUC_ID  
	) TABLA
ORDER BY FECH_CREA DESC
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_DOCUMENTO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_DOCUMENTO_01]
@DOC_TIPO VARCHAR(150)
AS
BEGIN
	SELECT * FROM TM_DOCUMENTO
	WHERE 
	EST=1
	AND DOC_TIPO = @DOC_TIPO
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_EMPRESA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Listar todos los registros por Sucursal
CREATE PROCEDURE [dbo].[SP_L_EMPRESA_01]
@COM_ID INT
AS
BEGIN
	SELECT * FROM TM_EMPRESA
	WHERE
	COM_ID = @COM_ID
	AND EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_EMPRESA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_EMPRESA_02]
@EMP_ID INT
AS
BEGIN
	SELECT * FROM TM_EMPRESA
	WHERE
	EMP_ID = @EMP_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_MENU_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_MENU_01]
@ROL_ID INT
AS
BEGIN
	SELECT        
	TD_MENU.MEND_ID, 
	TD_MENU.MEN_ID, 
	TD_MENU.ROL_ID, 
	TD_MENU.MEND_PERMI, 
	TD_MENU.FECH_CREA, 
	TD_MENU.EST, 
	TM_MENU.MEN_NOM, 
	TM_MENU.MEN_RUTA, 
	TM_MENU.MEN_IDENTI,
	TM_MENU.MEN_GRUPO
	FROM            
	TD_MENU INNER JOIN
	TM_MENU ON TD_MENU.MEN_ID = TM_MENU.MEN_ID
	WHERE 
	TD_MENU.ROL_ID = @ROL_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_MENU_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_MENU_03]
@USU_ID INT,
@MEN_IDENTI VARCHAR(100)
AS  
BEGIN  
	SELECT        
	TD_MENU.MEND_ID, 
	TD_MENU.MEN_ID, 
	TD_MENU.ROL_ID, 
	TD_MENU.MEND_PERMI, 
	TD_MENU.FECH_CREA, 
	TD_MENU.EST, 
	TM_MENU.MEN_NOM, 
	TM_MENU.MEN_RUTA, 
	TM_MENU.MEN_IDENTI, 
	TM_MENU.MEN_GRUPO, 
	TM_USUARIO.USU_ID, 
	TM_ROL.ROL_NOM
	FROM            
	TD_MENU INNER JOIN
	TM_MENU ON TD_MENU.MEN_ID = TM_MENU.MEN_ID INNER JOIN
	TM_ROL ON TD_MENU.ROL_ID = TM_ROL.ROL_ID INNER JOIN
	TM_USUARIO ON TM_ROL.ROL_ID = TM_USUARIO.ROL_ID
 WHERE   
	TM_USUARIO.USU_ID=1  
	AND MEND_PERMI ='Si'
	AND TM_MENU.MEN_IDENTI = 'mntsucursal'
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_MONEDA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_MONEDA_01]  
@SUC_ID INT  
AS  
BEGIN  
 SELECT 
 MON_ID,
 SUC_ID,
 MON_NOM,
 CONVERT(VARCHAR,FECH_CREA,103) AS FECH_CREA,
 EST
 FROM TM_MONEDA  
 WHERE  
 SUC_ID = @SUC_ID  
 AND EST=1  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_MONEDA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_MONEDA_02]
@MON_ID INT
AS
BEGIN
	SELECT * FROM TM_MONEDA
	WHERE
	MON_ID = @MON_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_PAGO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_PAGO_01]

AS
BEGIN
	SELECT * FROM TM_PAGO WHERE EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_PRODUCTO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_PRODUCTO_01]  
@SUC_ID INT  
AS  
BEGIN  
SELECT        
TM_PRODUCTO.PROD_ID, 
TM_PRODUCTO.SUC_ID, 
TM_PRODUCTO.CAT_ID, 
TM_PRODUCTO.PROD_NOM, 
TM_PRODUCTO.PROD_DESCRIP, 
TM_PRODUCTO.UND_ID, 
TM_PRODUCTO.MON_ID, 
TM_PRODUCTO.PROD_PCOMPRA, 
TM_PRODUCTO.PROD_PVENTA, 
TM_PRODUCTO.PROD_STOCK, 
TM_PRODUCTO.PROD_FECHAVEN, 
TM_PRODUCTO.PROD_IMG, 
TM_PRODUCTO.FECH_CREA, 
TM_PRODUCTO.EST, 
TM_CATEGORIA.CAT_NOM, 
TM_MONEDA.MON_NOM, 
TM_UNIDAD.UND_NOM
FROM            
TM_PRODUCTO INNER JOIN
TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID INNER JOIN
TM_MONEDA ON TM_PRODUCTO.MON_ID = TM_MONEDA.MON_ID INNER JOIN
TM_UNIDAD ON TM_PRODUCTO.UND_ID = TM_UNIDAD.UND_ID
 WHERE  
 TM_PRODUCTO.SUC_ID = @SUC_ID  
 AND TM_PRODUCTO.EST=1  
END  
GO
/****** Object:  StoredProcedure [dbo].[SP_L_PRODUCTO_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

--Obtener registro por ID  
CREATE PROCEDURE [dbo].[SP_L_PRODUCTO_02]  
@PROD_ID INT  
AS  
BEGIN  
 SELECT          
TM_PRODUCTO.PROD_ID,   
TM_PRODUCTO.SUC_ID,   
TM_PRODUCTO.CAT_ID,   
TM_PRODUCTO.PROD_NOM,   
TM_PRODUCTO.PROD_DESCRIP,   
TM_PRODUCTO.UND_ID,   
TM_PRODUCTO.MON_ID,   
TM_PRODUCTO.PROD_PCOMPRA,   
TM_PRODUCTO.PROD_PVENTA,   
TM_PRODUCTO.PROD_STOCK,   
TM_PRODUCTO.PROD_FECHAVEN,   
TM_PRODUCTO.PROD_IMG,   
TM_PRODUCTO.FECH_CREA,   
TM_PRODUCTO.EST,   
TM_CATEGORIA.CAT_NOM,   
TM_MONEDA.MON_NOM,   
TM_UNIDAD.UND_NOM  
FROM              
TM_PRODUCTO INNER JOIN  
TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID INNER JOIN  
TM_MONEDA ON TM_PRODUCTO.MON_ID = TM_MONEDA.MON_ID INNER JOIN  
TM_UNIDAD ON TM_PRODUCTO.UND_ID = TM_UNIDAD.UND_ID  
 WHERE  
 TM_PRODUCTO.PROD_ID = @PROD_ID  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_PRODUCTO_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[SP_L_PRODUCTO_03]    
@CAT_ID INT    
AS    
BEGIN    
SELECT          
TM_PRODUCTO.PROD_ID,   
TM_PRODUCTO.SUC_ID,   
TM_PRODUCTO.CAT_ID,   
TM_PRODUCTO.PROD_NOM,   
TM_PRODUCTO.PROD_DESCRIP,   
TM_PRODUCTO.UND_ID,   
TM_PRODUCTO.MON_ID,   
TM_PRODUCTO.PROD_PCOMPRA,   
TM_PRODUCTO.PROD_PVENTA,   
TM_PRODUCTO.PROD_STOCK,   
TM_PRODUCTO.PROD_FECHAVEN,   
TM_PRODUCTO.PROD_IMG,   
TM_PRODUCTO.FECH_CREA,   
TM_PRODUCTO.EST,   
TM_CATEGORIA.CAT_NOM,   
TM_MONEDA.MON_NOM,   
TM_UNIDAD.UND_NOM  
FROM              
TM_PRODUCTO INNER JOIN  
TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID INNER JOIN  
TM_MONEDA ON TM_PRODUCTO.MON_ID = TM_MONEDA.MON_ID INNER JOIN  
TM_UNIDAD ON TM_PRODUCTO.UND_ID = TM_UNIDAD.UND_ID  
 WHERE    
 TM_PRODUCTO. CAT_ID = @CAT_ID    
 AND TM_PRODUCTO.EST=1    
END 
GO
/****** Object:  StoredProcedure [dbo].[SP_L_PRODUCTO_05]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_PRODUCTO_05]
@PROD_ID INT
AS
BEGIN
	SELECT * FROM 
	(
		SELECT        
		TM_COMPRA.COMPR_ID, 
		CONVERT(VARCHAR,TM_COMPRA.FECH_CREA,103) AS FECH_CREA,
		TD_COMPRA_DETALLE.DETC_CANT, 
		TD_COMPRA_DETALLE.PROD_ID, 
		TM_DOCUMENTO.DOC_NOM,
		'Compra' as REGISTRO
		FROM            
		TM_COMPRA INNER JOIN
		TD_COMPRA_DETALLE ON TM_COMPRA.COMPR_ID = TD_COMPRA_DETALLE.COMPR_ID INNER JOIN
		TM_DOCUMENTO ON TM_COMPRA.DOC_ID = TM_DOCUMENTO.DOC_ID
		WHERE        
		TM_COMPRA.EST = 1 
		AND TD_COMPRA_DETALLE.PROD_ID = @PROD_ID

		UNION ALL

		SELECT        
		TM_VENTA.VENT_ID, 
		CONVERT(VARCHAR,TM_VENTA.FECH_CREA,103) AS FECH_CREA,
		TD_VENTA_DETALLE.DETV_CANT, 
		TD_VENTA_DETALLE.PROD_ID, 
		TM_DOCUMENTO.DOC_NOM,
		'Venta' as REGISTRO
		FROM            
		TM_VENTA INNER JOIN
		TD_VENTA_DETALLE ON TM_VENTA.VENT_ID = TD_VENTA_DETALLE.VENT_ID INNER JOIN
		TM_DOCUMENTO ON TM_VENTA.DOC_ID = TM_DOCUMENTO.DOC_ID
		WHERE        
		TM_VENTA.EST = 1 
		AND TD_VENTA_DETALLE.PROD_ID = @PROD_ID
	) TABLA 
	ORDER BY 
	FECH_CREA DESC
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_PROVEEDOR_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Listar todos los registros por Sucursal
CREATE PROCEDURE [dbo].[SP_L_PROVEEDOR_01]
@EMP_ID INT
AS
BEGIN
	SELECT * FROM TM_PROVEEDOR
	WHERE
	EMP_ID = @EMP_ID
	AND EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_PROVEEDOR_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_PROVEEDOR_02]
@PROV_ID INT
AS
BEGIN
	SELECT * FROM TM_PROVEEDOR
	WHERE
	PROV_ID = @PROV_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_ROL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Listar todos los registros por Sucursal
CREATE PROCEDURE [dbo].[SP_L_ROL_01]
@SUC_ID INT
AS
BEGIN
	SELECT * FROM TM_ROL
	WHERE
	SUC_ID = @SUC_ID
	AND EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_ROL_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_ROL_02]
@ROL_ID INT
AS
BEGIN
	SELECT * FROM TM_ROL
	WHERE
	ROL_ID = @ROL_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_SUCURSAL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Listar todos los registros por Sucursal
CREATE PROCEDURE [dbo].[SP_L_SUCURSAL_01]
@EMP_ID INT
AS
BEGIN
	SELECT * FROM TM_SUCURSAL
	WHERE
	EMP_ID = @EMP_ID
	AND EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_SUCURSAL_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_SUCURSAL_02]
@SUC_ID INT
AS
BEGIN
	SELECT * FROM TM_SUCURSAL
	WHERE
	SUC_ID = @SUC_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_UNIDAD_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Listar todos los registros por Sucursal
CREATE PROCEDURE [dbo].[SP_L_UNIDAD_01]
@SUC_ID INT
AS
BEGIN
	SELECT * FROM TM_UNIDAD
	WHERE
	SUC_ID = @SUC_ID
	AND EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_UNIDAD_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_UNIDAD_02]
@UND_ID INT
AS
BEGIN
	SELECT * FROM TM_UNIDAD
	WHERE
	UND_ID = @UND_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_USUARIO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_USUARIO_01]    
@SUC_ID INT    
AS    
BEGIN    
SELECT          
TM_USUARIO.USU_ID,   
TM_USUARIO.SUC_ID,   
TM_USUARIO.USU_CORREO,   
TM_USUARIO.USU_NOM,   
TM_USUARIO.USU_APE,   
TM_USUARIO.USU_DNI,   
TM_USUARIO.USU_TELF,   
TM_USUARIO.USU_PASS,  
TM_USUARIO.USU_IMG, 
TM_USUARIO.ROL_ID,   
TM_USUARIO.FECH_CREA,  
TM_ROL.ROL_NOM,   
TM_USUARIO.EST  
FROM              
TM_USUARIO INNER JOIN  
TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID  
WHERE    
TM_USUARIO.SUC_ID = @SUC_ID    
AND TM_USUARIO.EST=1    
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_USUARIO_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--Obtener registro por ID
CREATE PROCEDURE [dbo].[SP_L_USUARIO_02]
@USU_ID INT
AS
BEGIN
	SELECT * FROM TM_USUARIO
	WHERE
	USU_ID = @USU_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_USUARIO_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACCESO DE USUARIO
CREATE PROCEDURE [dbo].[SP_L_USUARIO_03]
@USU_CORREO VARCHAR(150),
@USU_PASS VARCHAR(50)
AS
BEGIN
	SELECT * FROM TM_USUARIO
	WHERE
	USU_CORREO = @USU_CORREO
	AND USU_PASS = @USU_PASS
	AND EST=1
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_USUARIO_04]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_USUARIO_04]    
@SUC_ID INT,    
@USU_CORREO VARCHAR(50),    
@USU_PASS VARCHAR(30)    
AS    
BEGIN    
 SELECT            
 TM_USUARIO.USU_ID,     
 TM_USUARIO.SUC_ID,     
 TM_USUARIO.USU_CORREO,     
 TM_USUARIO.USU_NOM,     
 TM_USUARIO.USU_APE,     
 TM_USUARIO.USU_DNI,     
 TM_USUARIO.USU_TELF,     
 TM_USUARIO.USU_PASS,     
 TM_USUARIO.ROL_ID,    
 TM_USUARIO.USU_IMG, 
 TM_SUCURSAL.EMP_ID,     
 TM_SUCURSAL.SUC_NOM,    
 TM_EMPRESA.EMP_ID,    
 TM_EMPRESA.EMP_NOM,     
 TM_EMPRESA.EMP_RUC,     
 TM_EMPRESA.COM_ID,     
 TM_COMPANIA.COM_NOM    
 FROM      
 TM_USUARIO INNER JOIN    
 TM_SUCURSAL ON TM_USUARIO.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN    
 TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN    
 TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID    
 WHERE    
 TM_USUARIO.SUC_ID = @SUC_ID     
 AND TM_USUARIO.USU_CORREO = @USU_CORREO    
 AND TM_USUARIO.USU_PASS = @USU_PASS    
 AND TM_USUARIO.EST = 1    
END 
GO
/****** Object:  StoredProcedure [dbo].[SP_L_VENTA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_L_VENTA_01]   
@VENT_ID INT  
AS  
BEGIN  
 SELECT          
 TD_VENTA_DETALLE.DETV_ID,   
 TM_CATEGORIA.CAT_NOM,   
 TM_PRODUCTO.PROD_NOM,
 TM_PRODUCTO.PROD_IMG,
 TM_UNIDAD.UND_NOM,   
 TD_VENTA_DETALLE.PROD_PVENTA,  
 TD_VENTA_DETALLE.DETV_CANT,   
 TD_VENTA_DETALLE.DETV_TOTAL,   
 TD_VENTA_DETALLE.VENT_ID,   
 TD_VENTA_DETALLE.PROD_ID  
 FROM              
 TD_VENTA_DETALLE INNER JOIN  
 TM_PRODUCTO ON TD_VENTA_DETALLE.PROD_ID = TM_PRODUCTO.PROD_ID INNER JOIN  
 TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID INNER JOIN  
 TM_UNIDAD ON TM_PRODUCTO.UND_ID = TM_UNIDAD.UND_ID  
 WHERE  
 TD_VENTA_DETALLE.VENT_ID = @VENT_ID  
 AND TD_VENTA_DETALLE.EST=1  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_VENTA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_VENTA_02]
@VENT_ID INT
AS
BEGIN
SELECT        
TM_VENTA.VENT_ID, 
TM_VENTA.SUC_ID, 
TM_VENTA.PAG_ID, 
TM_VENTA.CLI_ID, 
TM_VENTA.CLI_RUC, 
TM_VENTA.CLI_DIRECC, 
TM_VENTA.CLI_CORREO, 
TM_VENTA.VENT_SUBTOTAL, 
TM_VENTA.VENT_IGV, 
TM_VENTA.VENT_TOTAL, 
TM_VENTA.VENT_COMENT, 
TM_VENTA.USU_ID, 
TM_VENTA.MON_ID, 
TM_VENTA.FECH_CREA, 
TM_VENTA.EST, 
TM_SUCURSAL.SUC_NOM, 
TM_EMPRESA.EMP_NOM, 
TM_EMPRESA.EMP_RUC, 
TM_EMPRESA.EMP_CORREO, 
TM_EMPRESA.EMP_TELF, 
TM_EMPRESA.EMP_DIRECC, 
TM_EMPRESA.EMP_PAG, 
TM_COMPANIA.COM_NOM, 
TM_USUARIO.USU_CORREO, 
TM_USUARIO.USU_NOM, 
TM_USUARIO.USU_APE, 
TM_USUARIO.USU_DNI, 
TM_USUARIO.USU_TELF, 
TM_ROL.ROL_NOM, 
TM_PAGO.PAG_NOM, 
TM_MONEDA.MON_NOM,
TM_CLIENTE.CLI_NOM
FROM            
TM_VENTA INNER JOIN
TM_SUCURSAL ON TM_VENTA.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN
TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN
TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID INNER JOIN
TM_USUARIO ON TM_VENTA.USU_ID = TM_USUARIO.USU_ID INNER JOIN
TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID INNER JOIN
TM_PAGO ON TM_VENTA.PAG_ID = TM_PAGO.PAG_ID INNER JOIN
TM_MONEDA ON TM_VENTA.MON_ID = TM_MONEDA.MON_ID INNER JOIN
TM_CLIENTE ON TM_VENTA.CLI_ID = TM_CLIENTE.CLI_ID
WHERE  
TM_VENTA.VENT_ID = @VENT_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_VENTA_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_L_VENTA_03]      
@SUC_ID INT      
AS      
BEGIN      
 SELECT              
 TM_VENTA.VENT_ID,       
 TM_VENTA.SUC_ID,       
 TM_VENTA.PAG_ID,       
 TM_VENTA.CLI_ID,       
 TM_VENTA.CLI_RUC,       
 TM_VENTA.CLI_DIRECC,       
 TM_VENTA.CLI_CORREO,       
 TM_VENTA.VENT_SUBTOTAL,       
 TM_VENTA.VENT_IGV,       
 TM_VENTA.VENT_TOTAL,       
 TM_VENTA.VENT_COMENT,       
 TM_VENTA.USU_ID,       
 TM_VENTA.MON_ID,       
 TM_VENTA.FECH_CREA,       
 TM_VENTA.EST,       
 TM_SUCURSAL.SUC_NOM,       
 TM_EMPRESA.EMP_NOM,       
 TM_EMPRESA.EMP_RUC,       
 TM_EMPRESA.EMP_CORREO,       
 TM_EMPRESA.EMP_TELF,       
 TM_EMPRESA.EMP_DIRECC,       
 TM_EMPRESA.EMP_PAG,       
 TM_COMPANIA.COM_NOM,       
 TM_USUARIO.USU_CORREO,       
 TM_USUARIO.USU_NOM,       
 TM_USUARIO.USU_APE,       
 TM_USUARIO.USU_DNI,       
 TM_USUARIO.USU_TELF,       
 TM_USUARIO.USU_IMG,   
 TM_ROL.ROL_NOM,       
 TM_PAGO.PAG_NOM,       
 TM_MONEDA.MON_NOM,      
 TM_CLIENTE.CLI_NOM,
 TM_DOCUMENTO.DOC_NOM
 FROM                  
 TM_VENTA INNER JOIN      
 TM_SUCURSAL ON TM_VENTA.SUC_ID = TM_SUCURSAL.SUC_ID INNER JOIN      
 TM_EMPRESA ON TM_SUCURSAL.EMP_ID = TM_EMPRESA.EMP_ID INNER JOIN      
 TM_COMPANIA ON TM_EMPRESA.COM_ID = TM_COMPANIA.COM_ID INNER JOIN      
 TM_USUARIO ON TM_VENTA.USU_ID = TM_USUARIO.USU_ID INNER JOIN      
 TM_ROL ON TM_USUARIO.ROL_ID = TM_ROL.ROL_ID INNER JOIN      
 TM_PAGO ON TM_VENTA.PAG_ID = TM_PAGO.PAG_ID INNER JOIN      
 TM_MONEDA ON TM_VENTA.MON_ID = TM_MONEDA.MON_ID INNER JOIN      
 TM_CLIENTE ON TM_VENTA.CLI_ID = TM_CLIENTE.CLI_ID INNER JOIN
 TM_DOCUMENTO ON TM_VENTA.DOC_ID = TM_DOCUMENTO.DOC_ID
 WHERE      
 TM_VENTA.EST=1      
 AND TM_VENTA.SUC_ID = @SUC_ID      
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_VENTA_04]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[SP_L_VENTA_04]
@SUC_ID INT
AS
BEGIN
	SELECT        
	TOP (5) TD_VENTA_DETALLE.PROD_ID, 
	SUM(TD_VENTA_DETALLE.DETV_CANT) AS CANT, 
	TM_PRODUCTO.PROD_NOM, 
	TM_PRODUCTO.PROD_PVENTA, 
	TM_CATEGORIA.CAT_NOM, 
	TM_UNIDAD.UND_NOM, 
	TM_PRODUCTO.PROD_STOCK, 
	TM_PRODUCTO.PROD_IMG,
	TM_MONEDA.MON_NOM,
	SUM(TM_VENTA.VENT_TOTAL) AS TOTAL
	FROM            
	TD_VENTA_DETALLE INNER JOIN
	TM_PRODUCTO ON TD_VENTA_DETALLE.PROD_ID = TM_PRODUCTO.PROD_ID INNER JOIN
	TM_CATEGORIA ON TM_PRODUCTO.CAT_ID = TM_CATEGORIA.CAT_ID INNER JOIN
	TM_UNIDAD ON TM_PRODUCTO.UND_ID = TM_UNIDAD.UND_ID INNER JOIN
	TM_VENTA ON TD_VENTA_DETALLE.VENT_ID = TM_VENTA.VENT_ID INNER JOIN
	TM_MONEDA ON TM_VENTA.MON_ID = TM_MONEDA.MON_ID
	WHERE
	TM_VENTA.EST = 1
	AND TM_PRODUCTO.EST=1
	AND TM_VENTA.SUC_ID = @SUC_ID
	GROUP BY 
	TD_VENTA_DETALLE.PROD_ID, 
	TM_PRODUCTO.PROD_NOM, 
	TM_PRODUCTO.PROD_PVENTA, 
	TM_CATEGORIA.CAT_NOM, 
	TM_UNIDAD.UND_NOM, 
	TM_PRODUCTO.PROD_STOCK, 
	TM_PRODUCTO.PROD_IMG,
	TM_MONEDA.MON_NOM
	ORDER BY CANT DESC
END
GO
/****** Object:  StoredProcedure [dbo].[SP_L_VENTA_06]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[SP_L_VENTA_06]
@SUC_ID INT
AS
BEGIN
	SELECT 
	CONVERT(VARCHAR,FECH_CREA,103) AS FECH_CREA,
	SUM(VENT_TOTAL) AS VENT_TOTAL
	FROM TM_VENTA 
	WHERE 
	EST=1
	AND SUC_ID = @SUC_ID
	GROUP BY 
	CONVERT(VARCHAR,FECH_CREA,103)
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_CATEGORIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_CATEGORIA_01]
@CAT_ID INT,
@SUC_ID INT,
@CAT_NOM VARCHAR(150)
AS
BEGIN
	UPDATE TM_CATEGORIA
	SET
		SUC_ID = @SUC_ID,
		CAT_NOM = @CAT_NOM
	WHERE
		CAT_ID = @CAT_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_CLIENTE_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_U_CLIENTE_01]  
@CLI_ID INT,  
@CLI_NOM VARCHAR(150),  
@EMP_ID INT,  
@CLI_RUC VARCHAR(150),  
@CLI_TELF VARCHAR(150),  
@CLI_DIRECC VARCHAR(150),  
@CLI_CORREO VARCHAR(100)  
AS  
BEGIN  
 UPDATE TM_CLIENTE  
 SET  
  CLI_NOM = @CLI_NOM,  
  EMP_ID = @EMP_ID,  
  CLI_RUC = @CLI_RUC,  
  CLI_TELF = @CLI_TELF,  
  CLI_DIRECC = @CLI_DIRECC,  
  CLI_CORREO = @CLI_CORREO  
 WHERE  
  CLI_ID = @CLI_ID  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_COMPANIA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_COMPANIA_01]
@COM_ID INT,
@COM_NOM VARCHAR(150)
AS
BEGIN
	UPDATE TM_COMPANIA
	SET
		COM_NOM = @COM_NOM
	WHERE
		COM_ID = @COM_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_COMPRA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_U_COMPRA_01]
@COMPR_ID INT
AS
BEGIN
SET NOCOUNT ON
	UPDATE TM_COMPRA
	SET
		COMPR_SUBTOTAL = (SELECT SUM(DETC_TOTAL) AS COMPR_SUBTOTAL FROM TD_COMPRA_DETALLE WHERE COMPR_ID=@COMPR_ID AND EST=1),
		COMPR_IGV = (SELECT SUM(DETC_TOTAL) AS COMPR_SUBTOTAL FROM TD_COMPRA_DETALLE WHERE COMPR_ID=@COMPR_ID AND EST=1) * 0.18,
		COMPR_TOTAL = (SELECT SUM(DETC_TOTAL) AS COMPR_SUBTOTAL FROM TD_COMPRA_DETALLE WHERE COMPR_ID=@COMPR_ID AND EST=1) + ((SELECT SUM(DETC_TOTAL) AS COMPR_SUBTOTAL FROM TD_COMPRA_DETALLE WHERE COMPR_ID=@COMPR_ID AND EST=1) * 0.18)
	WHERE
		COMPR_ID = @COMPR_ID

	SELECT 
		COMPR_SUBTOTAL,
		COMPR_IGV,
		COMPR_TOTAL 
	FROM 
		TM_COMPRA
	WHERE
		COMPR_ID = @COMPR_ID
SET NOCOUNT OFF
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_COMPRA_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_U_COMPRA_02]
@COMPR_ID INT
AS
BEGIN
SET NOCOUNT ON
	DECLARE @ID_REGISTRO INT
	DECLARE @PROD_ID INT
	DECLARE @CANT INT

	DECLARE CUR CURSOR FOR SELECT DETC_ID FROM TD_COMPRA_DETALLE WHERE COMPR_ID=@COMPR_ID
	OPEN CUR
	FETCH NEXT FROM CUR INTO @ID_REGISTRO
	WHILE @@FETCH_STATUS=0
		BEGIN
			SELECT @PROD_ID=PROD_ID FROM TD_COMPRA_DETALLE WHERE DETC_ID = @ID_REGISTRO
			
			SELECT @CANT=DETC_CANT FROM TD_COMPRA_DETALLE WHERE DETC_ID = @ID_REGISTRO

			UPDATE TM_PRODUCTO
			SET
				PROD_STOCK = PROD_STOCK + @CANT
			WHERE
				PROD_ID = @PROD_ID

			FETCH NEXT FROM CUR INTO @ID_REGISTRO
		END
	CLOSE CUR
	DEALLOCATE CUR
SET NOCOUNT OFF
END

GO
/****** Object:  StoredProcedure [dbo].[SP_U_COMPRA_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

  
CREATE PROCEDURE [dbo].[SP_U_COMPRA_03]  
@COMPR_ID INT,  
@PAG_ID INT,  
@PROV_ID INT,  
@PROV_RUC VARCHAR(20),  
@PROV_DIRECC VARCHAR(150),  
@PROV_CORREO VARCHAR(150),  
@COMPR_COMENT VARCHAR(250),  
@MON_ID INT,
@DOC_ID INT
AS  
BEGIN  
 UPDATE TM_COMPRA  
 SET  
  PAG_ID = @PAG_ID,  
  PROV_ID = @PROV_ID,  
  PROV_RUC = @PROV_RUC,  
  PROV_DIRECC = @PROV_DIRECC,  
  PROV_CORREO = @PROV_CORREO,  
  COMPR_COMENT = @COMPR_COMENT,  
  MON_ID = @MON_ID,  
  DOC_ID = @DOC_ID,
  FECH_CREA = GETDATE(),  
  EST = 1  
 WHERE  
  COMPR_ID = @COMPR_ID  
   
 DECLARE @ID_REGISTRO INT  
 DECLARE @PROD_ID INT  
 DECLARE @CANT INT  
  
 DECLARE CUR CURSOR FOR SELECT DETC_ID FROM TD_COMPRA_DETALLE WHERE COMPR_ID=@COMPR_ID  
 OPEN CUR  
 FETCH NEXT FROM CUR INTO @ID_REGISTRO  
 WHILE @@FETCH_STATUS=0  
  BEGIN  
   SELECT @PROD_ID=PROD_ID FROM TD_COMPRA_DETALLE WHERE DETC_ID = @ID_REGISTRO  
     
   SELECT @CANT=DETC_CANT FROM TD_COMPRA_DETALLE WHERE DETC_ID = @ID_REGISTRO  
  
   UPDATE TM_PRODUCTO  
   SET  
    PROD_STOCK = PROD_STOCK + @CANT  
   WHERE  
    PROD_ID = @PROD_ID  
  
   FETCH NEXT FROM CUR INTO @ID_REGISTRO  
  END  
 CLOSE CUR  
 DEALLOCATE CUR  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_EMPRESA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_EMPRESA_01]
@EMP_ID INT,
@COM_ID INT,
@EMP_NOM VARCHAR(150),
@EMP_RUC VARCHAR(150)
AS
BEGIN
	UPDATE TM_EMPRESA
	SET
		COM_ID = @COM_ID,
		EMP_NOM = @EMP_NOM,
		EMP_RUC = @EMP_RUC
	WHERE
		EMP_ID = @EMP_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_MENU_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[SP_U_MENU_01]
@MEND_ID INT
AS
BEGIN
	UPDATE TD_MENU
	SET
		MEND_PERMI = 'Si'
	WHERE
		MEND_ID = @MEND_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_MENU_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_U_MENU_02]
@MEND_ID INT
AS
BEGIN
	UPDATE TD_MENU
	SET
		MEND_PERMI = 'No'
	WHERE
		MEND_ID = @MEND_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_MONEDA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_MONEDA_01]
@MON_ID INT,
@SUC_ID INT,
@MON_NOM VARCHAR(150)
AS
BEGIN
	UPDATE TM_MONEDA
	SET
		SUC_ID = @SUC_ID,
		MON_NOM = @MON_NOM
	WHERE
		MON_ID = @MON_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_PRODUCTO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_PRODUCTO_01]
@PROD_ID INT,
@SUC_ID INT,
@CAT_ID INT,
@PROD_NOM VARCHAR(150),
@PROD_DESCRIP VARCHAR(150),
@UND_ID INT,
@MON_ID INT,
@PROD_PCOMPRA NUMERIC(18,2),
@PROD_PVENTA NUMERIC(18,2),
@PROD_STOCK INT,
@PROD_FECHAVEN DATE,
@PROD_IMG VARCHAR(MAX)
AS
BEGIN
	UPDATE TM_PRODUCTO
	SET
		SUC_ID = @SUC_ID,
		CAT_ID = @CAT_ID,
		PROD_NOM = @PROD_NOM,
		PROD_DESCRIP = @PROD_DESCRIP,
		UND_ID = @UND_ID,
		MON_ID = @MON_ID,
		PROD_PCOMPRA = @PROD_PCOMPRA,
		PROD_PVENTA = @PROD_PVENTA,
		PROD_STOCK = @PROD_STOCK,
		PROD_FECHAVEN = @PROD_FECHAVEN,
		PROD_IMG = @PROD_IMG
	WHERE
		PROD_ID = @PROD_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_PROVEEDOR_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_U_PROVEEDOR_01]
@PROV_ID INT,
@EMP_ID INT,
@PROV_NOM VARCHAR(150),
@PROV_RUC VARCHAR(50),
@PROV_TELF VARCHAR(150),
@PROV_DIRECC VARCHAR(150),
@PROV_CORREO VARCHAR(100)
AS
BEGIN
	UPDATE TM_PROVEEDOR
	SET
		EMP_ID = @EMP_ID,
		PROV_NOM = @PROV_NOM,
		PROV_RUC = @PROV_RUC,
		PROV_TELF = @PROV_TELF,
		PROV_DIRECC = @PROV_DIRECC,
		PROV_CORREO = @PROV_CORREO
	WHERE
		PROV_ID = @PROV_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_ROL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_ROL_01]
@ROL_ID INT,
@SUC_ID INT,
@ROL_NOM VARCHAR(150)
AS
BEGIN
	UPDATE TM_ROL
	SET
		SUC_ID = @SUC_ID,
		ROL_NOM = @ROL_NOM
	WHERE
		ROL_ID = @ROL_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_SUCURSAL_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_SUCURSAL_01]
@SUC_ID INT,
@EMP_ID INT,
@SUC_NOM VARCHAR(150)
AS
BEGIN
	UPDATE TM_SUCURSAL
	SET
		EMP_ID = @EMP_ID,
		SUC_NOM = @SUC_NOM
	WHERE
		SUC_ID = @SUC_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_UNIDAD_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--ACTUALIZAR REGISTRO
CREATE PROCEDURE [dbo].[SP_U_UNIDAD_01]
@UND_ID INT,
@SUC_ID INT,
@UND_NOM VARCHAR(150)
AS
BEGIN
	UPDATE TM_UNIDAD
	SET
		SUC_ID = @SUC_ID,
		UND_NOM = @UND_NOM
	WHERE
		UND_ID = @UND_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_USUARIO_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_U_USUARIO_01]  
@USU_ID INT,  
@SUC_ID INT,  
@USU_CORREO VARCHAR(150),  
@USU_NOM VARCHAR(150),  
@USU_APE VARCHAR(150),  
@USU_DNI VARCHAR(150),  
@USU_TELF VARCHAR(150),  
@USU_PASS VARCHAR(150),  
@ROL_ID INT,
@USU_IMG VARCHAR(MAX)
AS  
BEGIN  
 UPDATE TM_USUARIO  
 SET  
  SUC_ID = @SUC_ID,  
  USU_CORREO = @USU_CORREO,  
  USU_NOM = @USU_NOM,  
  USU_APE = @USU_APE,  
  USU_DNI = @USU_DNI,  
  USU_TELF = @USU_TELF,  
  USU_PASS = @USU_PASS,  
  ROL_ID = @ROL_ID,
  USU_IMG = @USU_IMG
 WHERE  
  USU_ID = @USU_ID  
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_USUARIO_02]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--CAMBIO DE CONTRASEÑA
CREATE PROCEDURE [dbo].[SP_U_USUARIO_02]
@USU_ID INT,
@USU_PASS VARCHAR(50)
AS
BEGIN
	UPDATE TM_USUARIO
	SET
		USU_PASS = @USU_PASS
	WHERE
		USU_ID = @USU_ID
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_VENTA_01]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[SP_U_VENTA_01]
@VENT_ID INT
AS
BEGIN
SET NOCOUNT ON
	UPDATE TM_VENTA
	SET
		VENT_SUBTOTAL = (SELECT SUM(DETV_TOTAL) AS VENT_SUBTOTAL FROM TD_VENTA_DETALLE WHERE VENT_ID=@VENT_ID AND EST=1),
		VENT_IGV = (SELECT SUM(DETV_TOTAL) AS VENT_SUBTOTAL FROM TD_VENTA_DETALLE WHERE VENT_ID=@VENT_ID AND EST=1) * 0.18,
		VENT_TOTAL = (SELECT SUM(DETV_TOTAL) AS VENT_SUBTOTAL FROM TD_VENTA_DETALLE WHERE VENT_ID=@VENT_ID AND EST=1) + ((SELECT SUM(DETV_TOTAL) AS VENT_SUBTOTAL FROM TD_VENTA_DETALLE WHERE VENT_ID=@VENT_ID AND EST=1) * 0.18)
	WHERE
		VENT_ID = @VENT_ID

	SELECT 
		VENT_SUBTOTAL,
		VENT_IGV,
		VENT_TOTAL 
	FROM 
		TM_VENTA
	WHERE
		VENT_ID = @VENT_ID
SET NOCOUNT OFF
END
GO
/****** Object:  StoredProcedure [dbo].[SP_U_VENTA_03]    Script Date: 26/01/2023 17:57:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SP_U_VENTA_03]  
@VENT_ID INT,    
@PAG_ID INT,    
@CLI_ID INT,    
@CLI_RUC VARCHAR(20),    
@CLI_DIRECC VARCHAR(150),    
@CLI_CORREO VARCHAR(150),    
@VENT_COMENT VARCHAR(250),    
@MON_ID INT,
@DOC_ID INT
AS    
BEGIN    
 UPDATE TM_VENTA    
 SET    
  PAG_ID = @PAG_ID,    
  CLI_ID = @CLI_ID,    
  CLI_RUC = @CLI_RUC,    
  CLI_DIRECC = @CLI_DIRECC,    
  CLI_CORREO = @CLI_CORREO,    
  VENT_COMENT = @VENT_COMENT,    
  MON_ID = @MON_ID,
  DOC_ID = @DOC_ID,
  FECH_CREA = GETDATE(),    
  EST = 1    
 WHERE    
  VENT_ID = @VENT_ID    
     
 DECLARE @ID_REGISTRO INT    
 DECLARE @PROD_ID INT    
 DECLARE @CANT INT    
    
 DECLARE CUR CURSOR FOR SELECT DETV_ID FROM TD_VENTA_DETALLE WHERE VENT_ID=@VENT_ID    
 OPEN CUR    
 FETCH NEXT FROM CUR INTO @ID_REGISTRO    
 WHILE @@FETCH_STATUS=0    
  BEGIN    
   SELECT @PROD_ID=PROD_ID FROM TD_VENTA_DETALLE WHERE DETV_ID = @ID_REGISTRO    
       
   SELECT @CANT=DETV_CANT FROM TD_VENTA_DETALLE WHERE DETV_ID = @ID_REGISTRO    
    
   UPDATE TM_PRODUCTO    
   SET    
    PROD_STOCK = PROD_STOCK - @CANT    
   WHERE    
    PROD_ID = @PROD_ID    
    
   FETCH NEXT FROM CUR INTO @ID_REGISTRO    
  END    
 CLOSE CUR    
 DEALLOCATE CUR    
END
GO
